# Class default

#### Implements

- IDeferredDbSaver

- Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/DeferredDbSaver/DeferredDbSaver.ts:26

#####
Index

### Constructors

constructor

### Accessors

queue

### Methods

enqueueIpfsContent
enqueueLinks

##
Constructors

### constructor

- new default(dbInstance$): default

- #### Parameters

  - dbInstance$: Observable<default>

  #### Returns default

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/DeferredDbSaver/DeferredDbSaver.ts:35

##
Accessors

### queue

- get queue(): QueueMap

- #### Returns QueueMap

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/DeferredDbSaver/DeferredDbSaver.ts:31

##
Methods

### enqueueIpfsContent

- enqueueIpfsContent(content): void

- #### Parameters

  - content: IPFSContent

  #### Returns void

  Implementation of IDeferredDbSaver.enqueueIpfsContent

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/DeferredDbSaver/DeferredDbSaver.ts:54

### enqueueLinks

- enqueueLinks(links): void

- #### Parameters

  - links: DbEntityToDto<LinkDbEntity>[]

  #### Returns void

  Implementation of IDeferredDbSaver.enqueueLinks

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/DeferredDbSaver/DeferredDbSaver.ts:63